Ticket #143 (closed defect: fixed)

Opened 5 years ago

Last modified 4 years ago

[patch] Support VCS key

Reported by: cgwalters Assigned to: RpmTickets
Priority: major Milestone: rpm-4.9.0
Component: rpm Version: RPM Development
Keywords: Cc:

Description

Hi, see patch description. The high level goal here is that in Fedora I would like to add "make pull" as an operation in our source system. The VCS origin makes sense to live in the spec file.

If someone knows of prior art attempting to standardize version control URLs, that'd be useful.

Attachments

0001-Add-VCS-key.patch (2.3 kB) - added by cgwalters on 02/23/10 16:32:31.
support VCS key

Change History

02/23/10 16:32:31 changed by cgwalters

  • attachment 0001-Add-VCS-key.patch added.

support VCS key

02/26/10 07:23:26 changed by akurtakov

You should take a look at http://maven.apache.org/scm/scm-url-format.html . Maven guys have done a really good work to define a way to express all the version control urls. See VCS list and their urls.

The format is pretty simple and working good so we will do good if we start using it.

This appears to be a hot topic nowadays - you can also check this blog for details on the same issue in the OSGi world.

05/05/10 09:48:12 changed by bascorp

10/12/10 13:25:21 changed by pmatilai

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone set to rpm-4.9.0.

After months and months of postponing for "we should figure an exact format and validate it at build-time before adding this" ... oh well. Applied now, thanks for the patch. I just added a TODO note for validating it, once somebody invents a format. Maven work seems like a starting point at least.